Subject: Re: The Korn Shell [was: Re: What's Up With That (KSH)?]
From: David T-G <[email-masked]>
To: "CygWin Users' List" <[email-masked]>
Cc: Thomas Baker <[email-masked]>
Date: Wed, 12 Jun 2002 09:56:06 -0500

Tom --

...and then Thomas Baker said...
% 
% On Wed, Jun 12, 2002 at 08:15:16AM -0500, David T-G wrote:
% > % Hmm.  I see versions of KSH there for linux, netbsd, openbsd,
% > % unixware, etc -- but not cygwin...  Are you sure it is there?
% > 
% > If I read it right, you need to check the ast-ksh package instead of the
% > bare ksh binary.
% 
% Yikes, I guess so!  I downloaded INIT and ast-ksh, unpacked

*grin*

% them with Power Archiver (and was prompted to rename some oddly
...
% Is one supposed to install a package-management environment
% just to install a package, and is this all compatible with
% Cygwin?  I just want a Korn shell...

Well, I suppose it depends on how much you want it.  That's the way
they've decided to release their shell.  You could probably just grab the
source and compile it, but then you'd be in a different boat where you
might not want to be.

% 
% > % Because of KSH, I still also use MKS Toolkit, which has an older KSH.
% > 
% > Even though it's broken? :-)
% 
% I have a shell script that I rely on constantly, using it 10-20
% times daily since I wrote (and published) it in 1994.  I used

Good deal.  Now *that* is a useful script!

% the MKS version of KSH, so I guess that means it is the older

I don't know all of the details, but AIUI when MKS ported ksh over for
their toolset they either got some bits wrong or perhaps simply failed
to implement some parts, and David Korn says that that ksh is not really
ksh-compliant.

% Korn shell?  The script uses some KSH-specific syntax (eg,
% "print -u2" and "print -u3"), otherwise I would have ported

It doesn't sound impossible, granted, ...

% it to bash a long time ago.  Or if I were more than just an
% amateur script writer I would long ago have ported it to perl.

... but this sounds like an even better route :-)

% 
% Tom

HAND

:-D
-- 
David T-G                      * It's easier to fight for one's principles
(play) [email-masked] * than to live up to them. -- fortune cookie
(work) [email-masked]
http://www.justpickone.org/davidtg/    Shpx gur Pbzzhavpngvbaf Qrprapl Npg!